/* Checkbox ================ */

:root {
  --checkbox-icon-size: 15px;
}

.checkbox {
  display: inline-flex;
  align-items: center;
  padding-left: 25px;
  position: relative;
  cursor: pointer;
}

.checkbox__input {
  width: 1px;
  height: 1px;
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);

  &:checked {

    ~ .checkbox__icon {

      &::after {
        opacity: 1;
      }
    }
  }

  ~ span.error {
    display: none !important;
  }

  &.error {

    ~ .checkbox__icon {
      border-color: var(--color-primary);
    }
  }
}

.checkbox__icon {
  width: var(--checkbox-icon-size);
  height: var(--checkbox-icon-size);
  position: absolute;
  top: 50%;
  left: 0;
  border: 1px solid var(--color-black-light);
  border-radius: 4px;
  transform: translateY(-50%);

  &::after {
    content: "";
    width: 9px;
    height: 5px;
    position: absolute;
    top: 3px;
    left: 3px;
    border-bottom: 2px solid var(--color-black-light);
    border-left: 2px solid var(--color-black-light);
    transform: rotate(-40deg);
    opacity: 0;
  }
}

.checkbox__label {
  font-family: var(--font-pt-sans);
  font-size: 15px;
  text-align: left;
}

/* ================ end checkbox styles */
